Bug 1510149 (CVE-2017-15104)

Summary: CVE-2017-15104 heketi: Information disclosure through world readable file
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agk, cbuissar, hchiramm, jrivera, lpabon, madam, mliyazud, omarandemad, pprakash, ramkrsna, rcyriac, rhs-bugs, rtalur, security-response-team, sisharma, slong, smohan, ssaha, storage-qa-internal, vbellur
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
An access flaw was found in heketi, where the heketi.json configuration file was world readable. An attacker having local access to the Heketi server could read plain-text passwords from the heketi.json file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-20 05:05:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1510283, 1527160, 1527161    
Bug Blocks: 1507642, 1510610    

Description Pedro Sampaio 2017-11-06 18:53:30 UTC
It was discovered that sensitive information could be disclosed through world readable file heketi.json containing private keys in heketi 5.x and previous.

https://access.redhat.com/security/vulnerabilities/3246991

Comment 1 Pedro Sampaio 2017-11-06 18:53:42 UTC
Acknowledgments:

Name: Siddharth Sharma (Red Hat)

Comment 4 Eric Christensen 2017-12-08 14:22:11 UTC
In reply to comment 0:
Does this also mean that the passwords are not being stored properly (hashed, or at least encrypted) as well?

Comment 6 Siddharth Sharma 2017-12-18 17:03:53 UTC
Created heketi tracking bugs for this issue:

Affects: epel-all [bug 1527161]
Affects: fedora-all [bug 1527160]

Comment 7 errata-xmlrpc 2017-12-18 17:25:02 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.3 for RHEL 7

Via RHSA-2017:3481 https://access.redhat.com/errata/RHSA-2017:3481